%define ver pre2
%define _iconsdir /usr/share/pixmaps/

Summary:	Lynx-like text WWW browser
Name:		links
Version:	2.1
Release:        0.%ver.1
License:	GPL
Group:		Networking/WWW

Source0:	http://atrey.karlin.mff.cuni.cz/~clock/twibright/links/download/%name-%version%ver.tar.bz2
Source1:	links-16.png
Source2:	links-32.png
Source3:	links-48.png
Source4:        links.cfg
Patch1:		links-0.97-no-flashy-white.patch.bz2
Patch3:		links-0.96-no-weird-unhx-ing-of-command-line-args.patch.bz2
Patch4: links-0.96-cookie-parsing.patch.bz2
Patch6: cookies-save-0.96.patch.bz2
Patch7: links-0.96-no-domain-security.patch.bz2
Patch8: links-current-color-by-default--and-vt100-frames.patch.bz2
Patch10: links-2.0pre1-be-graphic-when-called-_links-graphic_.patch.bz2
Patch11: links-2.0pre1-convert-old-bookmarks-in-new-format.patch.bz2
Patch12: links-0.96-gz.patch.bz2
Patch20: links-2.1pre2-link-fix.patch.bz2

URL:		http://artax.karlin.mff.cuni.cz/~mikulas/links/
BuildRequires:	gpm-devel ncurses-devel libpng-devel libjpeg-devel
BuildRequires:	ncurses-devel => 5.0
Provides:	webclient
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package graphic
Summary: Lynx-like text/X11 WWW browser
Group: Networking/WWW
Obsoletes: links < %{version}-%{release}
Provides: webclient links

%description graphic
Links is a text/X11 based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%prep
%setup  -q -n %name-%version%ver
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p1 -z .pix
%patch12 -p1 -z .gz
%patch20 -p0 -z .link

chmod a+r *

%build
autoconf
perl -pi -e 's!"-g!"!g' configure
%configure --enable-javascript
(cd Unicode ; LC_ALL=C ./gen )
make

cp -f links links-text

# Needed to fix linkage problem
rm -f bfu.o dip.o lru.o x.o framebuffer.o terminal.o kbd.o links_icon.o
make clean
%configure --enable-graphics --enable-javascript
make

cp -f links links-graphic

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f %buildroot%{_bindir}/links
install links-graphic links-text %buildroot%{_bindir}

install -D -m 644 %SOURCE4 %buildroot/etc/links.cfg

#install -d %buildroot/%_menudir/
#cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}-graphic
#?package(%{name}-graphic):  \
#  command="/usr/bin/links-graphic" \
#  needs="X11" \
#  icon="links-graphic.png" \
#  section="Networking/WWW" \
#  title="Links" longtitle="Lynx-like text/graphic WWW browser"
#EOF

install -d %buildroot/%_iconsdir/
install -m 644 %SOURCE1 %buildroot/%_iconsdir/
install -m 644 %SOURCE2 %buildroot/%_iconsdir/
install -m 644 %SOURCE3 %buildroot/%_iconsdir/

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%triggerpostun graphic -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/links-text 10

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-text
fi

%post graphic
%{update_menus}

update-alternatives --install /usr/bin/links links /usr/bin/links-graphic 20

%postun graphic
%{clean_menus}

if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-graphic
fi

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%config(noreplace) /etc/links.cfg
%{_bindir}/links-text
%{_mandir}/*/*

%files graphic
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%config(noreplace) /etc/links.cfg
%{_bindir}/links-graphic
%{_mandir}/*/*
#%{_menudir}/%{name}-graphic
#
%_iconsdir/*.png


%changelog
* Thu Sep 12 2002 Peter Hanecak <hanecak@megaloman.sk> 2.1-0.pre2.1
- adapted to Doors Linux

* Mon Aug 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.pre2.2mdk
- buildrequires: libpng-devel, libjpeg-devel (Stephane Lentz)

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.pre2.1mdk
- new release (pre2)
- remove patch 9 (merged upstream)
- fix linkage bug [Patch 20]

* Tue Jun 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-1mdk
- fix pixel's brain dramage: don't repeat version number everywhere so that
  we forgot some of them on update
- final release
- add gzip2 support

* Mon Jun 10 2002 Pixel <pixel@mandrakesoft.com> 2.0-0.pre6.3mdk
- titi's brain being what it is... removing the unneeded -g

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre6.2mdk
- uses links -g in menu entry ...

* Mon Jun 03 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre6.1mdk
- new release:
	- updated hu translation
	- fix segfault on big 16 bits png images

* Tue May 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre4.1mdk
- new release
- remove patch12 (merged upstream)

* Mon May 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre3.2mdk
- remove polnish debugging messages [Patch12]

* Fri May 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre3.1mdk
- new release

* Thu May 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre2.1mdk
- new release

* Wed May 22 2002 Pixel <pixel@mandrakesoft.com> 2.0-0.pre1.1mdk
- new release (mainly bug bugfixing on)
- new package links-graphic containing the X version
  (split to keep a version of links not requiring X, and the binary is smaller)
- convert-old-bookmarks-to-new-format

* Thu May 16 2002 Pixel <pixel@mandrakesoft.com> 20020516-1mdk
- links-current version with graphic and javascript support
  (my bank account works :)
- dropped chmouel patch for binding 'S'

* Sun May 12 2002 Pixel <pixel@mandrakesoft.com> 0.97-2mdk
- have "color by default" back

* Fri May 10 2002 Pixel <pixel@mandrakesoft.com> 0.97-1mdk
- new release

* Tue Apr  2 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre8.1mdk
- new release

* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.97-0.pre3.4mdk
- update translation, bug fixes

* Sun Mar  3 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre1.4mdk
- links.cfg doesn't need to be executable (fix #5961)

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre1.3mdk
- create /etc/links.cfg with default associations ("display" for images, "gv" for ps&pdf)

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.97-0.pre1.2mdk
- xpm -> png icons

* Tue Jan 29 2002 Pixel <pixel@mandrakesoft.com> 0.97-0.pre1.1mdk
- 0.97pre1

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 0.96-6mdk
- bzip patches

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 0.96-5mdk
- cookies patches
- fix cookie (from Len <lenbok at mailandnews dot com>)

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 0.96-4mdk
- Use new icons & add missing icons (mini and large)

* Mon Jul 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-3mdk
- fix description (renders frames too [for a long time])

* Mon Jul 23 2001 Pixel <pixel@mandrakesoft.com> 0.96-2mdk
- fix command-line args bad encoding

* Tue Jul 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-1mdk
- final release

* Mon Jun 25 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-0.pre8.1mdk
- new release

* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-0.pre7.1mdk
- new version

* Tue Jun 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.96-0.pre4.2mdk
- Make S key save the current document (and not need to do esc down
  down down enter for this common option).

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.96-0.pre4.1mdk
- new pre-version

* Sat Jun  9 2001 Pixel <pixel@mandrakesoft.com> 0.96-0.pre2.1mdk
- new pre version

* Tue Mar 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-3mdk
- fix buildroot
- readd  the menu entry i added and pixel deleted

* Wed Feb 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.95-2mdk
- added several new charsets (so now it can browse pages in any
  of the mdk supported charsets)

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.95-1mdk
- new version

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.94-1mdk
- new version

* Wed Dec 13 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.9mdk.pre9
- new version

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.8mdk.pre8
- new version

* Sun Dec  3 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.7mdk.pre7
- new version
- remove the menu until icons are provided

* Thu Nov 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.6mdk.pre5
- add menu

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.94-0.5mdk.pre5
- make Q as fast quit without confirmation like lynx.

* Sun Nov 19 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.4mdk.pre5
- new release

* Thu Nov  9 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.3mdk.pre4
- new release

* Tue Oct 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.1mdk.pre1
- new release
- minor spec cleaning

* Tue Oct 17 2000 Pixel <pixel@mandrakesoft.com> 0.93-0.2mdk.pre4
- new release

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93-0.1mdk
- new release

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-8mdk
- fix mispelling

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 0.92-6mdk
- add-M-key-to the README

* Wed Aug  9 2000 Pixel <pixel@mandrakesoft.com> 0.92-5mdk
- have colors by default

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.92-4mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 0.92-3mdk
- cleanup, BM

* Mon Jul 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.92-2mdk
- added support for a lot of new charset encodings (Thai, Vietnamese,
  Esperanto, Hebrew, Arabic, Farsi, Armenian, Greek, Turkish & Celtic)

* Sun Jul  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-1mdk
- new version

* Fri Mar 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.84-1mdk
- frist mandrake version (adapted from PLD Team rpm package)

